/*
 * APP_Data_Process.h
 *
 *  Created on: 2012-3-27
 *      Author: qitiancun
 */

    
#ifdef        GLOBALS_APP_PROCESS
    #define   EXTERN_APP_PROCESS
   
#else
    #define   EXTERN_APP_PROCESS     extern
#endif

#ifndef APP_DATA_PROCESS_H_
#define APP_DATA_PROCESS_H_
   #pragma CODE_SEG OTHER_ROM                           
    EXTERN_APP_PROCESS        void   far   App_SortNByte(INT16U *SortData,INT8U len);
    EXTERN_APP_PROCESS        void   far   App_SortNWord(INT32U *SortData,INT8U len);
    EXTERN_APP_PROCESS        void   far   App_Swap(INT16U *pData1,INT16U *pData2);
    EXTERN_APP_PROCESS        void   far   App_SwapWord(INT32U *pData1,INT32U *pData2);      
    EXTERN_APP_PROCESS        void   far   App_State_Off(void);
    EXTERN_APP_PROCESS        INT8U  far   App_FindSector(INT16U val,EE_MeterType *MParam);
    EXTERN_APP_PROCESS        INT16U far   App_CalMicroStep(INT32U ADVAL,EE_MeterType *MParam);
    EXTERN_APP_PROCESS        void   far   App_CalBorad(void);
    EXTERN_APP_PROCESS        void   far   App_CalVehBoard(void); 
    EXTERN_APP_PROCESS        void   far   App_CalRevBoard(void); 
    EXTERN_APP_PROCESS        void   far   App_CalCluchBoard(void);
    EXTERN_APP_PROCESS        void   far   App_CalFuelBoard(void);
    EXTERN_APP_PROCESS        void   far   App_CalTmpBoard(void);
    EXTERN_APP_PROCESS        void   far   App_CalFre(FreType *Veh,FreType *Rev);
    EXTERN_APP_PROCESS        void   far   App_CalRevSpdFromCap(MeterPos *Meter,FreType *Rev);
    EXTERN_APP_PROCESS        void   far   App_CalVehSpdFromCap(MeterPos *Meter,FreType *Veh);
    EXTERN_APP_PROCESS        void   far   App_CalGsPrs1Board(void);
    EXTERN_APP_PROCESS        void   far   App_CalGsPrs2Board(void);    
    EXTERN_APP_PROCESS        void   far   App_CalVehBoard(void);
    //EXTERN_APP_PROCESS        void   far   App_CalGsPrs1FromCap(MeterPos *Meter,ADEve* Ade);
    //EXTERN_APP_PROCESS        void   far   App_CalGsPrs2FromCap(MeterPos *Meter,ADEve* Ade);
    EXTERN_APP_PROCESS        INT16U far App_CalGsPrsStep(INT32U ADVAL,EE_MeterType *MParam);
    EXTERN_APP_PROCESS        void   far  App_CalAdBlueBoard(void);
    #pragma CODE_SEG DEFAULT
#endif /* APP_DATA_PROCESS_H_ */
